Package com.smartgwt.client.core

# Class RefDataClass

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `AIRequest`, `AIServiceDescriptor`, `AsyncOperationContext`, `AsyncOperationParams`, `AsyncOperationResult`, `ColorStop`, `Facet`, `FacetValue`, `Field`, `FiscalCalendar`, `FiscalYear`, `GaugeSector`, `HeaderLevel`, `Hilite`, `Lane`, `Operator`, `Point`, `Record`, `RPCRequest`, `RPCResponse`, `SectionStackSection`, `SingleSourceAIRequest`, `Tab`

public class RefDataClass extends DataClass

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefDataClass()`
  `RefDataClass(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RefDataClass`
  `getRef(JavaScriptObject jsObj)`
  `static RefDataClass`
  `getRef(String jsObj)`
  `protected void`
  `internalSetID(String id, boolean autoAssigned, boolean validateID)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

- ## Constructor Details

  - ### RefDataClass

    public RefDataClass()

  - ### RefDataClass

    public RefDataClass(JavaScriptObject jsObj)

- ## Method Details

  - ### getRef

    public static RefDataClass getRef(String jsObj)

  - ### getRef

    public static RefDataClass getRef(JavaScriptObject jsObj)

  - ### internalSetID

    protected void internalSetID(String id, boolean autoAssigned, boolean validateID)